当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 可以存在2套gtk吗?
帖子发表于 : 2008-03-21 17:41 

注册: 2006-07-18 16:15
帖子: 67
送出感谢: 0 次
接收感谢: 0 次
如题
在6.06下

安装了cd里的全部

要使用最新的swiftfox和编译 audacious-1.5.0又编译安装了最新的gtk在/usr/local 中

只是每次启动swiftfox 需要在控制台中打入
export LD_LIBRARY_PATH=/usr/local/lib
然后执行 swiftfox.

比较麻烦

如何不破坏现有软件解决这个问题呢?


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-03-21 18:40 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
系统的gtk不够新?


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-03-21 19:44 

注册: 2006-07-18 16:15
帖子: 67
送出感谢: 0 次
接收感谢: 0 次
解决了

在firefox的启动脚本中加入

export LD_LIBRARY_PATH=/usr/local/lib
export GTK_IM_MODULE=xim

安装swiftfox的准备,需要升级到最新的gtk
安装源里面的 libjpeg62-dev

http://www.gtk.org/download-linux.html
ftp://ftp.gtk.org/pub/gtk/v2.10/dependencies/

设置环境变量先
export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig
export LD_LIBRARY_PATH=/usr/local/lib


依次安装
libpng-1.2.8
tiff-3.7.4
glib-2.14.5
atk-1.9.1
cairo-1.2.6
pango-1.18.4
gtk+-2.12.6

解压缩后

./configure;make

sudo make install
即可

下载swiftfox最新版用deb格式安装再运行


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译